#include <stdint.h>

sbit FLASH_2_WP at GPIO_PIN56_bit;
sbit FLASH_2_HLD at GPIO_PIN1_bit;
sbit FLASH_2_CS at GPIO_PIN28_bit;

void main() 
{
   uint8_t buffer[4]                   = {15,20,25,30};
   uint32_t count                      = 4;
   uint32_t address                    = 0x010000;
   uint8_t receive_buffer[4];
   char tmp[20];
GPIO_Digital_Output(&GPIO_PORT_00_07, _GPIO_PINMASK_1 );
GPIO_Digital_Output(&GPIO_PORT_56_63, _GPIO_PINMASK_0 );
GPIO_Digital_Output(&GPIO_PORT_24_31, _GPIO_PINMASK_4 );
Delay_ms(300);

SPIM1_Init_Advanced( _SPI_MASTER_CLK_RATIO_128, _SPI_CFG_PHASE_CAPTURE_FALLING |
                                         _SPI_CFG_POLARITY_IDLE_LOW | _SPI_CFG_SS_AUTO_DISABLE |
                                         _SPI_CFG_FIFO_DISABLE, _SPI_SS_LINE_NONE );
Delay_ms(300);
UART1_Init( 9600 );
Delay_ms(300);

     UART1_Write_Text( "Initializing Flash 2 click... " );
     UART1_Write_Text( "\r\n" );
     flash_2_init();
     Delay_ms(300);
     flash_2_global_block_unlock();
     Delay_ms(400);
     flash_2_chip_erase();
     Delay_ms(300);
     flash_2_write( address, buffer, count );
     flash_2_read( address, receive_buffer, count );

     UART1_Write_Text( "Initial Values: " );
     while( count-- )
     {
       ByteToStr( buffer[count], tmp );
       UART1_Write_Text( tmp );
     }
     UART1_Write_Text( "\r\n" );
     count = 4;

     UART1_Write_Text( "Received Values: " );
     while( count -- )
     {
       ByteToStr( receive_buffer[count], tmp );
       UART1_Write_Text( tmp );
     }
     UART1_Write_Text( "\r\n" );

     return;





    return;
}