> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Flash 2 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on FT90
```
#include <stdint.h>

sbit FLASH_2_WP at GPIO_PIN56_bit;
sbit FLASH_2_HLD at GPIO_PIN1_bit;
sbit FLASH_2_CS at GPIO_PIN28_bit;

void setup()
{

	GPIO_Digital_Output(&GPIO_PORT_00_07, _GPIO_PINMASK_1 );
	GPIO_Digital_Output(&GPIO_PORT_56_63, _GPIO_PINMASK_0 );
	GPIO_Digital_Output(&GPIO_PORT_24_31, _GPIO_PINMASK_4 );

	SPIM1_Init_Advanced( _SPI_MASTER_CLK_RATIO_128, _SPI_CFG_PHASE_CAPTURE_FALLING |
	                                         _SPI_CFG_POLARITY_IDLE_LOW | _SPI_CFG_SS_AUTO_DISABLE |
	                                         _SPI_CFG_FIFO_DISABLE, _SPI_SS_LINE_NONE );
	Delay_ms(300);

}

```

```
// Main function

int main(void)
{
	setup();

    flash_2_init();
    Delay_ms(300);
    
    while(1)
    {}

}
```

